package com.iamberry.wechat.service.mapper;

import com.iamberry.wechat.core.entity.integral.IntegralItem;

import java.util.List;

/**
 *  销售订单项表接口
 * @author ys
 * @Date 2018-04-28
 */
public interface IntegralItemMapper {
    /**
     * 获取集合
     * @param  integralItem
     * @return List
     */
    List<IntegralItem>  getIntegralItemList(IntegralItem  integralItem);
    /**
     * 查询单条数据
     * @param  id
     * @return  integralItem
     */
    IntegralItem  getIntegralItemById(Integer  id);
    /**
     * 增加数据
     * @param  integralItem
     * @return Integer
     */
    Integer  save(IntegralItem  integralItem);
    /**
     * 修改数据
     * @param  integralItem
     * @return Integer
     */
    Integer  update(IntegralItem  integralItem);
    /**
     * 删除数据
     * @param  id
     * @return Integer
     */
    Integer  delete(Integer  id);
    /**
     * 增加数据 <集合>
     * @param  integralItemList
     * @return Integer
     */
    Integer  saveList(List<IntegralItem> integralItemList);
}